/**
*
* @file main.c
*
* @brief El main es el archivo principal del programa.
*
* En el main encontraremos llamadas a las funciones más importantes. 
*
* @author Alfredo Solari
* @date 1/1/1
* @note Para anotar cosas.
* @warning Para comentar sobre mal uso de las funciones o archivos. 
* $Sección: Aquí se puede agregar una sección con el título que se prefiera (siempre y cuando sea de una palabra sola). $
*/



#include <stdio.h>
#include "ackermann.h"
#include "utils.h"

void main(){
	int a = 2;
	int b = 3;
	int c;
	c = ack(a,b);

	print_ack_result(a,b,c);
		
	c = mult_sw(a,b);
	enmarked_print();
	printf("El resultado de multiplicar %d x %d es %d\n", a,b,c);
	enmarked_print();
}


/**
*
* @mainpage La página principal
*
* El proyecto es un ejemplo para doxygen. Para correrlo utilizar: <b>gcc -o main main.c ackermann.c utils.c && ./main </b>
*
* <b> Notar que el ejemplo es creado como ejemplo exclusivamente, el código no está pensado para ser útil en otro sentido. </b>
*
* Aquí puedo poner varios párrafos sobre de que trata este proyecto. Voy a poner un lorem ipsum en el siguiente párrafo a ver como queda todo esto.
*
* Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
*/

